Developer docs v0.1.0

Events

Read-only webhook delivery log.

GET /v1/events

List webhook deliveries

Read-only view of deliveries (one row per event per webhook), for debugging and reconciliation. Delivered/failed rows are purged after WEBHOOK_EVENT_RETENTION_DAYS (default 30).

Authentication
Merchant API key
Effect
Read-only.

Query parameters

NameTypeRequiredDescription
limitintegernoPage size (1–100). · ≥ 1, ≤ 100, default 20
starting_afterstringnoObject ID; return objects after it (ascending ID order). · 26 chars
typeEventTypenoFilter by event type.
webhookstringnoFilter by webhook ID. · 26 chars
status"pending" | "delivered" | "failed"noFilter by delivery status.

Responses

StatusMeaningBody / error codes
200Success.object
400Invalid request.invalid_query_param
401Missing or invalid API key.authentication_error
429Rate limited; honor retry-after.rate_limit_exceeded too_many_auth_failures
500Server error.api_error
Example response
{
  "object": "list",
  "url": "string",
  "has_more": false,
  "data": [
    {
      "object": "webhook_event",
      "id": "01JB9XK3M2R7TQ8N4V6Y0ZPA1C",
      "merchant_id": "01JB9XK3M2R7TQ8N4V6Y0ZPA1C",
      "webhook_id": "01JB9XK3M2R7TQ8N4V6Y0ZPA1C",
      "event_type": "customer.created",
      "payload": {},
      "status": "pending",
      "attempts": 1,
      "last_attempt_at": "2026-10-25T18:00:00.000Z",
      "next_retry_at": "2026-10-25T18:00:00.000Z",
      "created_at": "2026-10-25T18:00:00.000Z"
    }
  ]
}

GET /v1/events/:id

Retrieve a delivery

Includes payload, attempts and next_retry_at.

Authentication
Merchant API key
Effect
Read-only.

Path parameters

NameTypeRequiredDescription
idstringyesObject ID (ULID). · 26 chars

Responses

StatusMeaningBody / error codes
200Success.WebhookEvent
401Missing or invalid API key.authentication_error
404Not found, or not yours.resource_missing
429Rate limited; honor retry-after.rate_limit_exceeded too_many_auth_failures
500Server error.api_error
Example response
{
  "object": "webhook_event",
  "id": "01JB9XK3M2R7TQ8N4V6Y0ZPA1C",
  "merchant_id": "01JB9XK3M2R7TQ8N4V6Y0ZPA1C",
  "webhook_id": "01JB9XK3M2R7TQ8N4V6Y0ZPA1C",
  "event_type": "customer.created",
  "payload": {},
  "status": "pending",
  "attempts": 1,
  "last_attempt_at": "2026-10-25T18:00:00.000Z",
  "next_retry_at": "2026-10-25T18:00:00.000Z",
  "created_at": "2026-10-25T18:00:00.000Z"
}